seb3000
Posts: 6
Joined: Sun Apr 08, 2018 10:26 pm

VLC doesn't run with graphic interface

Wed Jun 13, 2018 11:35 pm

Hi, I have some problems getting VLC to run with its graphic user interface on a current Solus.

Would be nice if someone could help me diagnose that problem.

I installed VLC through Software Center. After installation, it does not run though. Uninstalled and reinstalled through eopkg ("sudo eopkg install vlc") with same results.

Code: Select all

Solus 3.9999, Gnome: 3.28.2, Graphics: Intel IvyBridgeMobile
Linux mediacenter 4.15.7-60.current #1 SMP PREEMPT Thu Mar 1 13:02:55 UTC 2018 x86_64 GNU/Linux
Tried starting from terminal which showed lots of errors (sorry, some are in German -- I tried to translate inline in [[[translated]]]):

Code: Select all

~ $ vlc
VLC media player 3.0.3 Vetinari (revision 3.0.2-225-gc9e3360dd4)
[0000000000ae9570] main libvlc error: stale plugins cache: modified /usr/lib64/vlc/plugins/misc/libaudioscrobbler_plugin.so
[
... more than 300 lines of similiar errors ("stale plugin cache")...

[0000000000ae9570] main libvlc error: stale plugins cache: modified /usr/lib64/vlc/plugins/audio_output/libafile_plugin.so
[0000000000ae9570] main libvlc: VLC wird mit dem Standard-Interface ausgeführt. Benutzen Sie 'cvlc', um VLC ohne Interface zu verwenden.
[[[VLC is being run with standard interface, Use 'cvlc' to use VLC without any interface]]]

(vlc:2198): Gtk-WARNING **: 23:58:35.535: Im Modulpfad »murrine« konnte keine Themen-Engine gefunden werden,
[[[No theme engine could be found in module path "murrine"]]]

(vlc:2198): Gtk-WARNING **: 23:58:35.535: Im Modulpfad »murrine« konnte keine Themen-Engine gefunden werden,
[[[No theme engine could be found in module path "murrine"]]]

(vlc:2198): Gtk-WARNING **: 23:58:35.536: Im Modulpfad »murrine« konnte keine Themen-Engine gefunden werden,
[[[No theme engine could be found in module path "murrine"]]]

vlc: Fatal IO error 2 (Datei oder Verzeichnis nicht gefunden) on X server :0.
[[[ ... (file or directory  not found) ... ]]]

QMutex: destroying locked mutex
VLC does work with basic ncurses interface ("vlc -I ncurses") including video playback, so it seems to be some problem with VLC's graphic interface.

seb3000
Posts: 6
Joined: Sun Apr 08, 2018 10:26 pm

Re: VLC doesn't run with graphic interface

Sun Jun 17, 2018 9:05 pm

Installing package "gtk2-engine-murrine" got rid of the GTK warnings:

Code: Select all

sudo eopkg install gtk2-engine-murrine
Running

Code: Select all

sudo /usr/lib/vlc/vlc-cache-gen /usr/lib64/vlc/plugins/
removed the stale plugin cache error messages.

So I'm now stuck with

Code: Select all

$ vlc
VLC media player 3.0.3 Vetinari (revision 3.0.2-225-gc9e3360dd4)
[0000000001475570] main libvlc: VLC wird mit dem Standard-Interface ausgeführt. Benutzen Sie 'cvlc', um VLC ohne Interface zu verwenden.
vlc: Fatal IO error 2 (Datei oder Verzeichnis nicht gefunden) on X server :0.
QMutex: destroying locked mutex
Any ideas?

sunnyflunk
Development Team
Posts: 2969
Joined: Sun Mar 13, 2016 11:35 pm

Re: VLC doesn't run with graphic interface

Mon Jun 18, 2018 2:45 am

seb3000 wrote:
Sun Jun 17, 2018 9:05 pm
Installing package "gtk2-engine-murrine" got rid of the GTK warnings:

Code: Select all

sudo eopkg install gtk2-engine-murrine
Running

Code: Select all

sudo /usr/lib/vlc/vlc-cache-gen /usr/lib64/vlc/plugins/
removed the stale plugin cache error messages.

So I'm now stuck with

Code: Select all

$ vlc
VLC media player 3.0.3 Vetinari (revision 3.0.2-225-gc9e3360dd4)
[0000000001475570] main libvlc: VLC wird mit dem Standard-Interface ausgeführt. Benutzen Sie 'cvlc', um VLC ohne Interface zu verwenden.
vlc: Fatal IO error 2 (Datei oder Verzeichnis nicht gefunden) on X server :0.
QMutex: destroying locked mutex
Any ideas?
What desktop? Have you reinstalled vlc? 'sudo eopkg install --reinstall vlc'

An IO error suggests an issue reading from a drive

seb3000
Posts: 6
Joined: Sun Apr 08, 2018 10:26 pm

Re: VLC doesn't run with graphic interface

Mon Jun 18, 2018 5:55 pm

Budgie desktop. Reinstalled with

Code: Select all

sudo eopkg install --reinstall vlc

as you suggested but the error remains.

Had no problems with the drive; I believe the IO error is related to X server...

seb3000
Posts: 6
Joined: Sun Apr 08, 2018 10:26 pm

Re: VLC doesn't run with graphic interface

Mon Jun 18, 2018 11:13 pm

Seems to be happening on arch/xfce4 as well:
https://bugs.archlinux.org/task/57805

seb3000
Posts: 6
Joined: Sun Apr 08, 2018 10:26 pm

Re: VLC doesn't run with graphic interface

Wed Jun 20, 2018 6:07 pm

Comments here [1] suggest the problem is related to the icon set and indeed, changing the budgie icon set from "Papirus" (default) to "Adwaita" allows starting vlc. Vlc's interface is not really usable though because its widgets are far to large, like scaled up 4x. Also I don't like the Adwaita icon set.

Does current vlc 3.x work correctly for anyone on current Solus Budgie with default settings for icons?

[1] https://bugs.archlinux.org/task/57805

sunnyflunk
Development Team
Posts: 2969
Joined: Sun Mar 13, 2016 11:35 pm

Re: VLC doesn't run with graphic interface

Fri Jun 22, 2018 3:39 am

seb3000 wrote:
Wed Jun 20, 2018 6:07 pm
Comments here [1] suggest the problem is related to the icon set and indeed, changing the budgie icon set from "Papirus" (default) to "Adwaita" allows starting vlc. Vlc's interface is not really usable though because its widgets are far to large, like scaled up 4x. Also I don't like the Adwaita icon set.

Does current vlc 3.x work correctly for anyone on current Solus Budgie with default settings for icons?

[1] https://bugs.archlinux.org/task/57805
Try reinstalling papirus

Code: Select all

sudo eopkg install --reinstall papirus-icon-theme
I just loaded up an up to date ISO, and there's no issues in loading VLC with the defaults.

seb3000
Posts: 6
Joined: Sun Apr 08, 2018 10:26 pm

Re: VLC doesn't run with graphic interface

Fri Jun 22, 2018 2:04 pm

Reinstalling papirus didn't help. Guess I'll just reinstall Solus Budgie...

Return to “Multimedia”